## com.baidubce.http
Enum HttpMethodName

    java.lang.Object
      java.lang.Enum<HttpMethodName>
          com.baidubce.http.HttpMethodName

All Implemented Interfaces:
  Serializable, Comparable<HttpMethodName>

    public enum HttpMethodName

extends Enum<HttpMethodName>

The name of http method.

Enum Constant Summary
`DELETE`
`GET`
`HEAD`
`POST`
`PUT`

Method Summary
`static HttpMethodName` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpMethodName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final HttpMethodName GET

### POST

    public static final HttpMethodName POST

### PUT

    public static final HttpMethodName PUT

### DELETE

    public static final HttpMethodName DELETE

### HEAD

    public static final HttpMethodName HEAD

Method Detail

### values

    public static HttpMethodName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HttpMethodName c : HttpMethodName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HttpMethodName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.